Admin APIExchanges
Cancel Exchange Request
Cancel a requested exchange.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The exchange's ID.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X DELETE "https://{tenant}.api.myxclade.com/admin/exchanges/string/request"{
"id": "string",
"object": "exchange",
"deleted": true
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Remove Outbound Shipping Method from Exchange
Remove the shipping method for delivering outbound items in the exchange using the `ID` of the method's `SHIPPING_ADD` action. Every shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.
List Exchanges
Retrieve a list of exchanges. The exchanges can be filtered by fields such as `id`. The exchanges can also be sorted or paginated.